libwpd: WP6StylesListener Class Reference documentation

Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members

# WP6StylesListener Class Reference

`#include <WP6StylesListener.h>`

Inheritance diagram for WP6StylesListener:

List of all members.

## Public Member Functions
| WP6StylesListener (std::vector< WPXPageSpan * > *pageList, WPXTableList tableList)
virtual void | setDate (const uint16_t year, const uint8_t month, const uint8_t day, const uint8_t hour, const uint8_t minute, const uint8_t second, const uint8_t dayOfWeek, const uint8_t timeZone, const uint8_t unused)
virtual void | setExtendedInformation (const uint16_t type, const WPXString &data)
virtual void | startDocument ()
virtual void | setAlignmentCharacter (const uint16_t character)
virtual void | setLeaderCharacter (const uint16_t character, const uint8_t numberOfSpaces)
virtual void | defineTabStops (const bool isRelative, const std::vector< WPXTabStop > &tabStops, const std::vector< bool > &usePreWP9LeaderMethods)
virtual void | insertCharacter (const uint16_t character)
virtual void | insertTab (const uint8_t tabType, const float tabPosition)
virtual void | handleLineBreak ()
virtual void | insertEOL ()
virtual void | insertBreak (const uint8_t breakType)
virtual void | characterColorChange (const uint8_t red, const uint8_t green, const uint8_t blue)
virtual void | characterShadingChange (const uint8_t shading)
virtual void | highlightChange (const bool isOn, const RGBSColor color)
virtual void | fontChange (const uint16_t matchedFontPointSize, const uint16_t fontPID)
virtual void | attributeChange (const bool isOn, const uint8_t attribute)
virtual void | lineSpacingChange (const float lineSpacing)
virtual void | spacingAfterParagraphChange (const float spacingRelative, const float spacingAbsolute)
virtual void | justificationChange (const uint8_t justification)
virtual void | pageMarginChange (const uint8_t side, const uint16_t margin)
virtual void | pageFormChange (const uint16_t length, const uint16_t width, const WPXFormOrientation orientation, const bool isPersistent)
virtual void | marginChange (const uint8_t side, const uint16_t margin)
virtual void | paragraphMarginChange (const uint8_t side, const int16_t margin)
virtual void | indentFirstLineChange (const int16_t offset)
virtual void | columnChange (const WPXTextColumnType columnType, const uint8_t numColumns, const std::vector< float > &columnWidth, const std::vector< bool > &isFixedWidth)
virtual void | updateOutlineDefinition (const WP6OutlineLocation outlineLocation, const uint16_t outlineHash, const uint8_t *numberingMethods, const uint8_t tabBehaviourFlag)
virtual void | paragraphNumberOn (const uint16_t outlineHash, const uint8_t level, const uint8_t flag)
virtual void | paragraphNumberOff ()
virtual void | displayNumberReferenceGroupOn (const uint8_t subGroup, const uint8_t level)
virtual void | displayNumberReferenceGroupOff (const uint8_t subGroup)
void | styleGroupOn (const uint8_t subGroup)
virtual void | styleGroupOff (const uint8_t subGroup)
virtual void | globalOn (const uint8_t systemStyle)
virtual void | globalOff ()
virtual void | noteOn (const uint16_t textPID)
virtual void | noteOff (const WPXNoteType noteType)
virtual void | headerFooterGroup (const uint8_t headerFooterType, const uint8_t occurenceBits, const uint16_t textPID)
virtual void | suppressPageCharacteristics (const uint8_t suppressCode)
virtual void | endDocument ()
virtual void | defineTable (const uint8_t position, const uint16_t leftOffset)
virtual void | addTableColumnDefinition (const uint32_t width, const uint32_t leftGutter, const uint32_t rightGutter, const uint32_t attributes, const uint8_t alignment)
virtual void | startTable ()
virtual void | insertRow (const uint16_t rowHeight, const bool isMinimumHeight, const bool isHeaderRow)
virtual void | insertCell (const uint8_t colSpan, const uint8_t rowSpan, const uint8_t borderBits, const RGBSColor *cellFgColor, const RGBSColor *cellBgColor, const RGBSColor *cellBorderColor, const WPXVerticalAlignment cellVerticalAlignment, const bool useCellAttributes, const uint32_t cellAttributes)
virtual void | endTable ()
## Protected Member Functions
virtual void | _handleSubDocument (const WPXSubDocument *subDocument, const bool isHeaderFooter, WPXTableList tableList, int nextTableIndice=0)
virtual void | _flushText ()
virtual void | _openParagraph ()
virtual void | _openPageSpan ()
virtual void | _changeList ()
## Private Attributes
WPXPageSpan * | m_currentPage
WPXTableList | m_tableList
WPXTable * | m_currentTable
float | m_tempMarginLeft
float | m_tempMarginRight
bool | m_currentPageHasContent
bool | m_isTableDefined
std::set< const WPXSubDocument * > | m_subDocuments

## Constructor & Destructor Documentation

WP6StylesListener::WP6StylesListener | ( | std::vector< WPXPageSpan * > * | pageList,
|  | WPXTableList | tableList
| ) |

## Member Function Documentation

virtual void WP6StylesListener::_changeList | ( |  | ) | `[inline, protected, virtual]`

| Implements WPXListener.

virtual void WP6StylesListener::_flushText | ( |  | ) | `[inline, protected, virtual]`

| Implements WPXListener.

void WP6StylesListener::_handleSubDocument | ( | const WPXSubDocument * | subDocument,
|  | const bool | isHeaderFooter,
|  | WPXTableList | tableList,
|  | int | nextTableIndice = `0`
| ) | `[protected, virtual]`

| Implements WPXListener.

virtual void WP6StylesListener::_openPageSpan | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented from WPXListener.

virtual void WP6StylesListener::_openParagraph | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented from WPXListener.

virtual void WP6StylesListener::addTableColumnDefinition | ( | const uint32_t | width,
|  | const uint32_t | leftGutter,
|  | const uint32_t | rightGutter,
|  | const uint32_t | attributes,
|  | const uint8_t | alignment
| ) | `[inline, virtual]`

| Implements WPXListener.

virtual void WP6StylesListener::attributeChange | ( | const bool | isOn,
|  | const uint8_t | attribute
| ) | `[inline, virtual]`

| Implements WPXListener.

virtual void WP6StylesListener::characterColorChange | ( | const uint8_t | red,
|  | const uint8_t | green,
|  | const uint8_t | blue
| ) | `[inline, virtual]`

| Implements WP6Listener.

virtual void WP6StylesListener::characterShadingChange | ( | const uint8_t | shading | ) | `[inline, virtual]`

| Implements WP6Listener.

virtual void WP6StylesListener::columnChange | ( | const WPXTextColumnType | columnType,
|  | const uint8_t | numColumns,
|  | const std::vector< float > & | columnWidth,
|  | const std::vector< bool > & | isFixedWidth
| ) | `[inline, virtual]`

| Implements WPXListener.

void WP6StylesListener::defineTable | ( | const uint8_t | position,
|  | const uint16_t | leftOffset
| ) | `[virtual]`

| Implements WPXListener.

virtual void WP6StylesListener::defineTabStops | ( | const bool | isRelative,
|  | const std::vector< WPXTabStop > & | tabStops,
|  | const std::vector< bool > & | usePreWP9LeaderMethods
| ) | `[inline, virtual]`

| Implements WPXListener.

virtual void WP6StylesListener::displayNumberReferenceGroupOff | ( | const uint8_t | subGroup | ) | `[inline, virtual]`

| Implements WP6Listener.

virtual void WP6StylesListener::displayNumberReferenceGroupOn | ( | const uint8_t | subGroup,
|  | const uint8_t | level
| ) | `[inline, virtual]`

| Implements WP6Listener.

void WP6StylesListener::endDocument | ( |  | ) | `[virtual]`

| Implements WPXListener.

void WP6StylesListener::endTable | ( |  | ) | `[virtual]`

| Implements WPXListener.

virtual void WP6StylesListener::fontChange | ( | const uint16_t | matchedFontPointSize,
|  | const uint16_t | fontPID
| ) | `[inline, virtual]`

| Implements WP6Listener.

virtual void WP6StylesListener::globalOff | ( |  | ) | `[inline, virtual]`

| Implements WP6Listener.

virtual void WP6StylesListener::globalOn | ( | const uint8_t | systemStyle | ) | `[inline, virtual]`

| Implements WP6Listener.

virtual void WP6StylesListener::handleLineBreak | ( |  | ) | `[inline, virtual]`

| Implements WPXListener.

void WP6StylesListener::headerFooterGroup | ( | const uint8_t | headerFooterType,
|  | const uint8_t | occurenceBits,
|  | const uint16_t | textPID
| ) | `[virtual]`

| Implements WP6Listener.

virtual void WP6StylesListener::highlightChange | ( | const bool | isOn,
|  | const RGBSColor | color
| ) | `[inline, virtual]`

| Implements WP6Listener.

virtual void WP6StylesListener::indentFirstLineChange | ( | const int16_t | offset | ) | `[inline, virtual]`

| Implements WPXListener.

void WP6StylesListener::insertBreak | ( | const uint8_t | breakType | ) | `[virtual]`

| Reimplemented from WPXListener.

void WP6StylesListener::insertCell | ( | const uint8_t | colSpan,
|  | const uint8_t | rowSpan,
|  | const uint8_t | borderBits,
|  | const RGBSColor * | cellFgColor,
|  | const RGBSColor * | cellBgColor,
|  | const RGBSColor * | cellBorderColor,
|  | const WPXVerticalAlignment | cellVerticalAlignment,
|  | const bool | useCellAttributes,
|  | const uint32_t | cellAttributes
| ) | `[virtual]`

| Implements WP6Listener.

virtual void WP6StylesListener::insertCharacter | ( | const uint16_t | character | ) | `[inline, virtual]`

| Implements WPXListener.

virtual void WP6StylesListener::insertEOL | ( |  | ) | `[inline, virtual]`

| Implements WPXListener.

void WP6StylesListener::insertRow | ( | const uint16_t | rowHeight,
|  | const bool | isMinimumHeight,
|  | const bool | isHeaderRow
| ) | `[virtual]`

| Implements WP6Listener.

virtual void WP6StylesListener::insertTab | ( | const uint8_t | tabType,
|  | const float | tabPosition
| ) | `[inline, virtual]`

| Implements WPXListener.

virtual void WP6StylesListener::justificationChange | ( | const uint8_t | justification | ) | `[inline, virtual]`

| Reimplemented from WPXListener.

virtual void WP6StylesListener::lineSpacingChange | ( | const float | lineSpacing | ) | `[inline, virtual]`

| Reimplemented from WPXListener.

void WP6StylesListener::marginChange | ( | const uint8_t | side,
|  | const uint16_t | margin
| ) | `[virtual]`

| Implements WPXListener.

virtual void WP6StylesListener::noteOff | ( | const WPXNoteType | noteType | ) | `[inline, virtual]`

| Implements WP6Listener.

void WP6StylesListener::noteOn | ( | const uint16_t | textPID | ) | `[virtual]`

| Implements WP6Listener.

void WP6StylesListener::pageFormChange | ( | const uint16_t | length,
|  | const uint16_t | width,
|  | const WPXFormOrientation | orientation,
|  | const bool | isPersistent
| ) | `[virtual]`

| Implements WPXListener.

void WP6StylesListener::pageMarginChange | ( | const uint8_t | side,
|  | const uint16_t | margin
| ) | `[virtual]`

| Implements WPXListener.

virtual void WP6StylesListener::paragraphMarginChange | ( | const uint8_t | side,
|  | const int16_t | margin
| ) | `[inline, virtual]`

| Implements WPXListener.

virtual void WP6StylesListener::paragraphNumberOff | ( |  | ) | `[inline, virtual]`

| Implements WP6Listener.

virtual void WP6StylesListener::paragraphNumberOn | ( | const uint16_t | outlineHash,
|  | const uint8_t | level,
|  | const uint8_t | flag
| ) | `[inline, virtual]`

| Implements WP6Listener.

virtual void WP6StylesListener::setAlignmentCharacter | ( | const uint16_t | character | ) | `[inline, virtual]`

| Implements WPXListener.

virtual void WP6StylesListener::setDate | ( | const uint16_t | year,
|  | const uint8_t | month,
|  | const uint8_t | day,
|  | const uint8_t | hour,
|  | const uint8_t | minute,
|  | const uint8_t | second,
|  | const uint8_t | dayOfWeek,
|  | const uint8_t | timeZone,
|  | const uint8_t | unused
| ) | `[inline, virtual]`

| Implements WP6Listener.

virtual void WP6StylesListener::setExtendedInformation | ( | const uint16_t | type,
|  | const WPXString & | data
| ) | `[inline, virtual]`

| Implements WP6Listener.

virtual void WP6StylesListener::setLeaderCharacter | ( | const uint16_t | character,
|  | const uint8_t | numberOfSpaces
| ) | `[inline, virtual]`

| Implements WPXListener.

virtual void WP6StylesListener::spacingAfterParagraphChange | ( | const float | spacingRelative,
|  | const float | spacingAbsolute
| ) | `[inline, virtual]`

| Implements WPXListener.

virtual void WP6StylesListener::startDocument | ( |  | ) | `[inline, virtual]`

| Reimplemented from WPXListener.

void WP6StylesListener::startTable | ( |  | ) | `[virtual]`

| Implements WPXListener.

virtual void WP6StylesListener::styleGroupOff | ( | const uint8_t | subGroup | ) | `[inline, virtual]`

| Implements WP6Listener.

void WP6StylesListener::styleGroupOn | ( | const uint8_t | subGroup | ) | `[inline, virtual]`

| Implements WP6Listener.

void WP6StylesListener::suppressPageCharacteristics | ( | const uint8_t | suppressCode | ) | `[virtual]`

| Implements WP6Listener.

virtual void WP6StylesListener::updateOutlineDefinition | ( | const WP6OutlineLocation | outlineLocation,
|  | const uint16_t | outlineHash,
|  | const uint8_t * | numberingMethods,
|  | const uint8_t | tabBehaviourFlag
| ) | `[inline, virtual]`

| Implements WP6Listener.

## Member Data Documentation

WPXPageSpan* WP6StylesListener::m_currentPage`[private]`

bool WP6StylesListener::m_currentPageHasContent`[private]`

WPXTable* WP6StylesListener::m_currentTable`[private]`

bool WP6StylesListener::m_isTableDefined`[private]`

std::set<const WPXSubDocument *> WP6StylesListener::m_subDocuments`[private]`

WPXTableList WP6StylesListener::m_tableList`[private]`

float WP6StylesListener::m_tempMarginLeft`[private]`

float WP6StylesListener::m_tempMarginRight`[private]`

The documentation for this class was generated from the following files:

- WP6StylesListener.h
- WP6StylesListener.cpp